<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
</head>
<body>
	<p>{{ message1 }}</p>
	<p></p>
	{% if message %}
        <p>{{ message }}</p>
    {% endif %}

    <form action="" method="post">
    
	<p>
	    <input type="text" name="pl" pattern="\d+(\.\d{2})?" >
		<label for="pl">Плотность, кг/м3</label>
	</p>
	<p>
	    
	    <input type="text" name="mupr" pattern="\d+(\.\d{2})?">
		<label for="mupr">модуль упругости, ГПа</label>
	</p>
	<p>
	    
	    <input type="text" name="otv" pattern="\d+(\.\d{2})?">
		<label for="otv">Количество отвердителя, м.%</label>
	</p>
	<p>
	    <input type="text" name="epgr" pattern="\d+(\.\d{2})?">
		<label for="epgr">Содержание эпоксидных групп,%_2</label>
	</p>
	<p>
	    <input type="text" name="tvsp" pattern="\d+(\.\d{2})?">
		<label for="tvsp">Температура вспышки, С_2</label>
	</p>
	<p>
	    <input type="text" name="ppl" pattern="\d+(\.\d{2})?">
		<label for="ppl">Поверхностная плотность, г/м2</label>
	</p>
	<p>
	    <input type="text" name="mu" pattern="\d+(\.\d{2})?">
		<label for="mu">Модуль упругости при растяжении, ГПа</label>
	</p>
	<p>
	    <input type="text" name="pr" pattern="\d+(\.\d{2})?">
		<label for="pr">Прочность при растяжении, МПа</label>
	</p>
	<p>
	    <input type="text" name="psm" pattern="\d+(\.\d{2})?">
		<label for="psm">Потребление смолы, г/м2</label>
	</p>
	<p>
	    <input type="text" name="ugn" pattern="[0-1]+[0-8]+[0-9]">
		<label for="ugn">Угол нашивки, град (0-180)</label>
	</p>
	<p>
	    <input type="text" name="shn" pattern="\d+(\.\d{2})?">
		<label for="shn">Шаг нашивки</label>
	</p>
	<p>
	    <input type="text" name="pln" pattern="\d+(\.\d{2})?">
		<label for="pln">Плотность нашивки</label>
	</p>
	<p>
	    <input type="submit" name="sub">
	</p>
    </form>

</body>
</html>